PHP 5.4.41/5.5.25/5.6.9 SOAP Extension unserialize type confusion

CVSS Meta Temp Score
CVSS is a standardized scoring system to determine possibilities of attacks. The Temp Score considers temporal factors like disclosure, exploit and countermeasures. The unique Meta Score calculates the average score of different sources to provide a normalized scoring system.
Current Exploit Price (≈)
Our analysts are monitoring exploit markets and are in contact with vulnerability brokers. The range indicates the observed or calculated exploit price to be seen on exploit markets. A good indicator to understand the monetary effort required for and the popularity of an attack.
CTI Interest Score
Our Cyber Threat Intelligence team is monitoring different web sites, mailing lists, exploit markets and social media networks. The CTI Interest Score identifies the interest of attackers and the security community for this specific vulnerability in real-time. A high score indicates an elevated risk to be targeted for this vulnerability.
7.7$0-$5k0.00

A vulnerability, which was classified as problematic, has been found in PHP 5.4.41/5.5.25/5.6.9 (Programming Language Software). Affected by this issue is the function unserialize of the component SOAP Extension. The manipulation with an unknown input leads to a type confusion vulnerability. Using CWE to declare the problem leads to CWE-843. The product allocates or initializes a resource such as a pointer, object, or variable using one type, but it later accesses that resource using a type that is incompatible with the original type. Impacted is confidentiality, and availability.

The weakness was shared 06/26/2015 as Bug 1222538 as confirmed bug report (Bugzilla). The advisory is shared for download at bugzilla.redhat.com. This vulnerability is handled as CVE-2015-4599 since 06/16/2015. The attack may be launched remotely. No form of authentication is required for exploitation. There are known technical details, but no exploit is available.

The vulnerability scanner Nessus provides a plugin with the ID 84659 (Oracle Linux 6 : php (ELSA-2015-1218)), which helps to determine the existence of the flaw in a target environment. It is assigned to the family Oracle Linux Local Security Checks. The commercial vulnerability scanner Qualys is able to test this issue with plugin 196160 (Ubuntu Security Notification for Php5 Vulnerabilities (USN-2658-1)).

Upgrading to version 5.4.42, 5.6.10 or 5.5.26 eliminates this vulnerability.

The vulnerability is also documented in the databases at X-Force (104111) and Tenable (84659).

Productinfo

Type

Name

Version

License

CPE 2.3info

CPE 2.2info

CVSSv4info

VulDB CVSS-B Score: 🔍
VulDB CVSS-BT Score: 🔍
VulDB Vector: 🔍
VulDB Reliability: 🔍

CVSSv3info

VulDB Meta Base Score: 8.1
VulDB Meta Temp Score: 7.7

VulDB Base Score: 6.5
VulDB Temp Score: 5.7
VulDB Vector: 🔍
VulDB Reliability: 🔍

NVD Base Score: 9.8
NVD Vector: 🔍

CVSSv2info

AVACAuCIA
💳💳💳💳💳💳
💳💳💳💳💳💳
💳💳💳💳💳💳
VectorComplexityAuthenticationConfidentialityIntegrityAvailability
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Reliability: 🔍

NVD Base Score: 🔍

Exploitinginfo

Class: Type confusion
CWE: CWE-843
CAPEC: 🔍
ATT&CK: 🔍

Local: No
Remote: Yes

Availability: 🔍
Status: Unproven

EPSS Score: 🔍
EPSS Percentile: 🔍

Price Prediction: 🔍
Current Price Estimation: 🔍

0-Dayunlockunlockunlockunlock
Todayunlockunlockunlockunlock

Nessus ID: 84659
Nessus Name: Oracle Linux 6 : php (ELSA-2015-1218)
Nessus File: 🔍
Nessus Risk: 🔍
Nessus Family: 🔍

OpenVAS ID: 100723
OpenVAS Name: RedHat Update for php RHSA-2015:1218-01
OpenVAS File: 🔍
OpenVAS Family: 🔍

Qualys ID: 🔍
Qualys Name: 🔍

Threat Intelligenceinfo

Interest: 🔍
Active Actors: 🔍
Active APT Groups: 🔍

Countermeasuresinfo

Recommended: Upgrade
Status: 🔍

0-Day Time: 🔍

Upgrade: PHP 5.4.42/5.6.10/5.5.26
Patch: 51856a76f87ecb24fe1385342be43610fb6c86e4

Timelineinfo

06/16/2015 🔍
06/16/2015 +0 days 🔍
06/17/2015 +1 days 🔍
06/18/2015 +1 days 🔍
06/25/2015 +7 days 🔍
06/26/2015 +1 days 🔍
06/29/2015 +3 days 🔍
05/16/2016 +322 days 🔍
05/22/2022 +2197 days 🔍

Sourcesinfo

Product: php.org

Advisory: Bug 1222538
Status: Confirmed
Confirmation: 🔍

CVE: CVE-2015-4599 (🔍)
X-Force: 104111 - PHP Soap extension information disclosure
SecurityTracker: 1032709 - PHP Multiple Bugs Let Remote Users Deny Service and Execute Arbitrary Code
Vulnerability Center: 50608 - PHP <5.6.6 Remote Code Execution Vulnerability due to Unserialize Issue in SoapFault, High
SecurityFocus: 75251 - PHP CVE-2015-4599 Remote Memory Corruption Vulnerability

Entryinfo

Created: 06/29/2015 05:44 PM
Updated: 05/22/2022 08:17 AM
Changes: 06/29/2015 05:44 PM (85), 07/01/2017 07:50 AM (4), 05/22/2022 08:16 AM (6), 05/22/2022 08:17 AM (1)
Complete: 🔍
Cache ID: 44:E23:40

Discussion

No comments yet. Languages: en.

Please log in to comment.

Do you know our Splunk app?

Download it now for free!